//**************************************************************//
//**************************************************************//
//					Billboard Shader /LyCon						//
//			  Written 29.02 2001	!COMMENT CHANGES!			//
//																//
//		if you want to use your own images, just change the		//
//				texture path in the animMap stage!				//
//  When using the Billboard in your map please give me Credit!	//
//**************************************************************//
//**************************************************************//
models/mapobjects/billboard/screen_bb1
{
	deformVertexes move 0 0 3   sin 0 5 0 0.1
	deformVertexes move 2 2 0   sin 0 9 0 0.05
	{
		//change this if you want your own images here!!
		animMap 0.6 textures/sfx/logo512.tga models/mapobjects/billboard/screen/screen1.tga models/mapobjects/billboard/screen/screen2.tga models/mapobjects/billboard/screen/screen3.tga
		//change the line above!!
		rgbGen wave inverseSawtooth 0 8 0 8
	}
	{
		map textures/base_wall/chrome_metal.tga
		rgbGen identity
		blendFunc add
		tcGen environment
	}
	{
		map models/mapobjects/billboard/noise.tga
		blendFunc add
		tcMod scroll .2 3
	}
	{
		map models/mapobjects/billboard/stripe.tga
		blendFunc add
		tcMod scroll .9 .4
		rgbGen wave sin .8 .8 0 .25
	}
}
models/mapobjects/billboard/billboard
{
	deformVertexes move 0 0 3   sin 0 5 0 0.1
	deformVertexes move 2 2 0   sin 0 9 0 0.05
	{
		map models/mapobjects/billboard/billboard.tga
		rgbGen vertex
	}
}
models/mapobjects/billboard/billboard_blend
{
	deformVertexes move 0 0 3   sin 0 5 0 0.1
	deformVertexes move 2 2 0   sin 0 9 0 0.05
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	q3map_surfacelight 400
	{
		map models/mapobjects/billboard/billboard_blend.tga
		blendfunc gl_one gl_one
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map models/mapobjects/billboard/billboard_blend.tga
		blendfunc GL_one gl_one
		rgbgen wave sawtooth .6 .1 0 7
	}
}
models/mapobjects/billboard/bb_jet
{
	deformVertexes move 0 0 3   sin 0 5 0 0.1
	deformVertexes move 2 2 0   sin 0 9 0 0.05
 	deformVertexes wave 100 sin 0 1 0 9
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/lamps/bot_flare2.tga
		blendFunc GL_ONE GL_ONE
	}
}
//**************************************************************//
//**************************************************************//
//				  End of Billboard Shader /LyCon				//
//**************************************************************//
//**************************************************************//